## com.google.appengine.api.blobstore.dev
Class ServeBlobFilter

    java.lang.Object
      com.google.appengine.api.blobstore.dev.ServeBlobFilter

    public final class ServeBlobFilter

extends java.lang.Object

`ServeBlobFilter` implements the ability to serve a blob in the development environment. In production, the `X-AppEngine-BlobKey` header is intercepted above the runtime and turned into a streaming response. However, in the development environment we need to implement this in-process.

Nested Class Summary
`static class` `ServeBlobFilter.ResponseWrapper`

Constructor Summary
`ServeBlobFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
`void` `init(FilterConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServeBlobFilter

    public ServeBlobFilter()

Method Detail

### init

    public void init(FilterConfig config)

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws java.io.IOException,
                         ServletException

  Throws:
    `java.io.IOException`
    `ServletException`

### destroy

    public void destroy()